[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#496698: FTBFS: insufficient build-depends (file gcj-dbtool)

On Tue, 26 Aug 2008 22:37:21 +0200, Rene Engelhard <rene@debian.org> wrote:



Jiří Paleček wrote:
openoffice.org in experimental failed to build with the following message:

for jar in xmerge.jar.1.jar; do \
            /usr/bin/gcj-dbtool-4.3 -f xmerge.jar.db $jar \
                /usr/lib/gcj/openoffice/xmerge.jar.so; \
make[1]: Leaving directory
gcj-dbtool -n debian/tmp/native-jars/tmp.db 64
/bin/bash: gcj-dbtool: command not found
make: *** [debian/stampdir/native-jars] Error 127
dpkg-buildpackage: failure: /usr/bin/fakeroot debian/rules binary-arch
gave error exit status 2
Build finished at 20080825-0146
FAILED [dpkg-buildpackage died]

How is that different to 496480 which already was filed days ago and is
marked pending right now?
Next time please actually look at the BTS before filing another bug.

FYI, I did look at the BTS, but I really haven't dug eight screenfuls deep in the listing to find this one.

It is trying to execute command gcj-dbtool which is contained in package
gij, but doesn't build-depend on it. Alternatively, it could call
gcj-dbtool-4.3 instead, which is in the package gij-4.3.

No, the latter option was there before the switch to OpenJDK, but I don't
want to build-depend on a specific gij version when I am not using gij
directly (and for aot-compiling I am using j-g-c-dev which uses gij-4.3,
if that changes and I hardcode -4.3...)

I think the first option is superior, too. I've suggested the second option just because I saw the build process is actually executing gcj-dbtool-4.3 now, as seen from the logs. It is only up to you which way you choose.

   Jiri Palecek

Reply to: